package com.eactive.eai.rms.bap.manage.comm.lifecycle;

import java.util.HashMap;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import com.eactive.eai.rms.bap.common.base.BapBaseService;

@Service("BapLifecycleService")
public class BapLifecycleService extends BapBaseService {

	@Autowired
	@Qualifier("BapLifecycleDao")
	private BapLifecycleDao dao;

	public HashMap<String, Object> selectList(int startNum,int endNum ) throws Exception {
		HashMap<String, Object> paramMap = new HashMap<String, Object>();
 
		// 전체 목록수 얻기
		int totalCount = dao.selectListCount(paramMap);

		paramMap.put("startNum" , startNum);// 시작 record
		paramMap.put("endNum"   , endNum);// 끝 record

		List<HashMap<String, Object>> list = dao.selectList(paramMap);

		HashMap<String, Object> map = new HashMap<String, Object>();

		map.put("totalCount", totalCount);

		map.put("list", list);

		return map;
	}	

	public HashMap<String, Object> selectDetail(HashMap<String,Object>paraMap) throws Exception {

		return dao.selectDetail( paraMap);

	}	

	public void update(HashMap<String, Object> paramMap) throws Exception {
		dao.update(paramMap);
	}	
	public void insert(HashMap<String, Object> paramMap) throws Exception {
		dao.insert(paramMap);
	}
	public void delete(HashMap<String, Object> paramMap) throws Exception {
		dao.delete(paramMap);
	}	


}
